## amlib.ccid
Class Reader4428

    java.lang.Object
      amlib.ccid.Reader
          amlib.ccid.Reader4428

    public class Reader4428

extends Reader

Field Summary

Fields inherited from class amlib.ccid.Reader
`CardModeASYNC, CardModeSLE4428, CardModeSLE4442, CCID_POWEROFF, CCID_POWERON, CCID_PROTOCOL_NA, CCID_PROTOCOL_T0, CCID_PROTOCOL_T1, SLOT_STATUS_CARD_ABSENT, SLOT_STATUS_CARD_ACTIVE, SLOT_STATUS_CARD_INACTIVE`

Constructor Summary
`Reader4428(HardwareInterface Dev)` Constructor
`Reader4428(HardwareInterface Dev, byte slot)` Constructor with given slot number

Method Summary
`int` `SLE4428Cmd_Read8Bits(int address, int intReadLen, byte[] pReadData, int[] pIntReturnLen)`
`int` `SLE4428Cmd_Read9Bits(int address, int intReadLen, byte[] pReadData, byte[] pReadPB, int[] pIntReturnLen)`
`int` `SLE4428Cmd_Verify1stPSC(byte data)`
`int` `SLE4428Cmd_Verify2ndPSC(byte data)`
`int` `SLE4428Cmd_VerifyPSCAndEraseErrorCounter(byte b1stPsc, byte b2ndPsc, int[] pIntErrorReason)`
`int` `SLE4428Cmd_WriteEraseWithoutPB(int address, byte data)`
`int` `SLE4428Cmd_WriteEraseWithPB(int address, byte data)`
`int` `SLE4428Cmd_WriteErrorCounter(byte data)`
`int` `SLE4428Cmd_WritePBWithDataComparison(int address, byte data)`

Methods inherited from class amlib.ccid.Reader
`close, connect, destroy, escape, getAtr, getAtrString, getCardStatus, getCmdFailCode, getCurrentDev, getProtocol, getSN, setPower, setSlot, switchMode, transmit`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Reader4428

    public Reader4428(HardwareInterface Dev)
               throws java.lang.IllegalArgumentException,
                      ReaderException

  Constructor

  Parameters:
    `Dev` -
  Throws:
    `java.lang.IllegalArgumentException`
    `ReaderException`
  See Also:
    `ReaderException`

### Reader4428

    public Reader4428(HardwareInterface Dev,
                      byte slot)
               throws java.lang.IllegalArgumentException,
                      ReaderException

  Constructor with given slot number

  Parameters:
    `Dev` -
    `slot` - slot number
  Throws:
    `java.lang.IllegalArgumentException`
    `ReaderException`
  See Also:
    `ReaderException`

Method Detail

### SLE4428Cmd_WriteEraseWithPB

    public int SLE4428Cmd_WriteEraseWithPB(int address,
                                           byte data)

### SLE4428Cmd_WriteEraseWithoutPB

    public int SLE4428Cmd_WriteEraseWithoutPB(int address,
                                              byte data)

### SLE4428Cmd_WritePBWithDataComparison

    public int SLE4428Cmd_WritePBWithDataComparison(int address,
                                                    byte data)

### SLE4428Cmd_Read9Bits

    public int SLE4428Cmd_Read9Bits(int address,
                                    int intReadLen,
                                    byte[] pReadData,
                                    byte[] pReadPB,
                                    int[] pIntReturnLen)

### SLE4428Cmd_Read8Bits

    public int SLE4428Cmd_Read8Bits(int address,
                                    int intReadLen,
                                    byte[] pReadData,
                                    int[] pIntReturnLen)

### SLE4428Cmd_VerifyPSCAndEraseErrorCounter

    public int SLE4428Cmd_VerifyPSCAndEraseErrorCounter(byte b1stPsc,
                                                        byte b2ndPsc,
                                                        int[] pIntErrorReason)

### SLE4428Cmd_WriteErrorCounter

    public int SLE4428Cmd_WriteErrorCounter(byte data)

### SLE4428Cmd_Verify1stPSC

    public int SLE4428Cmd_Verify1stPSC(byte data)

### SLE4428Cmd_Verify2ndPSC

    public int SLE4428Cmd_Verify2ndPSC(byte data)